Skip to content

Sora 2

Text-to-video endpoint for Sora 2, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.

POST https://llm.siraya.ai/v1/videos/generations
Authorization string Required
Your API Key (e.g., `Bearer `).

Body

model string
The model ID: `Header`.
prompt string
A text description for the video content.
seconds integer Default: 4
The duration of the video in seconds. Possible enum values: 4, 8, 12
curl https://llm.siraya.ai/v1/videos/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{
    "model": "sora-2",
    "prompt": "A cute baby sea otter",
  }'
import requests

url = "https://llm.siraya.ai/v1/videos/generations "
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {
    "model": "sora-2",
    "prompt": "A cute baby sea otter"
}

response = requests.post(url, headers=headers, json=data)
print(response.json())